﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.ListControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = populateGrid();
        WebDataGrid1.DataBind();

        var editor = WebDataGrid1_DropDownProvider1.GetEditor() as WebDropDown;
        editor.DataSource = populateGrid();
        editor.TextField = "Name";
        editor.ValueField = "Name";
        editor.DataBind();
    }


    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ID");
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
}